petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPNormType

Norm that is passed in the Krylov convergence test routines.

### Synopsis

    typedef enum {KSP_NORM_DEFAULT = -1,KSP_NORM_NONE = 0,KSP_NORM_PRECONDITIONED = 1,KSP_NORM_UNPRECONDITIONED = 2,KSP_NORM_NATURAL = 3} KSPNormType;

Many br

Each solver only supports a subset of these and some may support different ones Many brdepending on left or right preconditioning, see KSPSetPCSide() Many br

Notes: this must match petsc/finclude/petscksp.h Many br

### See Also

KSPSolve(), KSPGetConvergedReason(), KSPSetNormType(),
KSPSetConvergenceTest(), KSPSetPCSide() Many br

Level:advanced
Location:src/ksp/ksp/../../../include/petscksp.h
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages